# PSF-LoginServer - master - net.psforever.packet.crypto.ServerFinished
PSF - LoginServer - master - net.psforever.packet.crypto.ServerFinished
Keywords: PSF LoginServer master net.psforever.packet.crypto.ServerFinished

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package packet
  Definition Classes
    psforever
-  package crypto
  Definition Classes
    packet
- ClientChallengeXchg
- ClientFinished
- ServerChallengeXchg
- ServerFinished

o

net.psforever.packet.crypto

# ServerFinished 

###
Companion class ServerFinished

#### object ServerFinished extends Marshallable[ServerFinished] with Serializable

Source
  ServerFinished.scala

Linear Supertypes
Serializable, Marshallable[ServerFinished], AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ServerFinished
2. Serializable
3. Marshallable
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  implicit val codec: Codec[ServerFinished]
   Definition Classes
     ServerFinished → Marshallable
7.  def decode(a: BitVector): Attempt[DecodeResult[ServerFinished]]
   Definition Classes
     Marshallable
8.  def encode(a: ServerFinished): Attempt[BitVector]
   Definition Classes
     Marshallable
9.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
10.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
11.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
12.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
13.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
14.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
15.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
18.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
19.  def toString(): String
    Definition Classes
      AnyRef → Any
20.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
21.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
22.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Marshallable[ServerFinished]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped